### Method

# GdkPixdata.Pixdata.to_csource

#### Declaration [src]

    GString*
    gdk_pixdata_to_csource (
      GdkPixdata* pixdata,
      const gchar* name,
      GdkPixdataDumpType dump_type
    )

#### Description [src]

Generates C source code suitable for compiling images directly into programs.

GdkPixbuf ships with a program called `gdk-pixbuf-csource`, which offers a command line interface to this function.

Deprecated since: | 2.32
Use `GResource` instead.

#### Parameters

`name` | `const gchar*`
| used for naming generated data structures or macros
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`dump_type` | `GdkPixdataDumpType`
| the kind of C source to be generated

#### Return value

Returns: `GString*`
a newly-allocated string buffer containing the C source form of `pixdata`.
Ownership of the data is transferred to the caller